@tailwind components;

@layer components {
    .tab-item.vertical {
        @apply inline-flex items-center px-4 py-3 rounded w-full;
        @apply hover:text-gray-900 bg-gray-50 hover:bg-gray-100 dark:bg-gray-800 dark:hover:bg-gray-700 dark:hover:text-white;
    }

    .tab-item.vertical.selected {
        @apply text-white bg-blue-700 active dark:bg-blue-600;
    }

    .tab-item.horizontal {
        @apply inline-block p-4 rounded-t-lg;
        @apply hover:text-gray-600 hover:bg-gray-50 dark:hover:bg-gray-800 dark:hover:text-gray-300;
    }

    .tab-item.horizontal.selected {
        @apply text-blue-600 bg-gray-100 active dark:bg-gray-800 dark:text-blue-500;
    }
}